AssertionError (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: java.lang, class: AssertionError
Keywords: java.lang.AssertionError class

Module java.base
Package java.lang

# Class AssertionError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError

All Implemented Interfaces:
  `Serializable`

public class AssertionError extends Error
Thrown to indicate that an assertion has failed.

The seven one-argument public constructors provided by this class ensure that the assertion error returned by the invocation:

         new AssertionError(expression)

has as its detail message the string conversion of expression (as defined in section 5.1.11 of The Java Language Specification), regardless of the type of expression.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssertionError()`
  Constructs an AssertionError with no detail message.
  `AssertionError(boolean detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified `boolean`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(char detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified `char`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(double detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified `double`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(float detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified `float`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(int detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified `int`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(long detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified `long`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(Object detailMessage)`
  Constructs an AssertionError with its detail message derived from the specified object, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
  `AssertionError(String message, Throwable cause)`
  Constructs a new `AssertionError` with the specified detail message and cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssertionError

    public AssertionError()
    Constructs an AssertionError with no detail message.

  - ### AssertionError

    public AssertionError(Object detailMessage)
    Constructs an AssertionError with its detail message derived from the specified object, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.

    If the specified object is an instance of `Throwable`, it becomes the cause of the newly constructed assertion error.

    Parameters:
      `detailMessage` - value to be used in constructing detail message
    See Also:
      - `Throwable.getCause()`

  - ### AssertionError

    public AssertionError(boolean detailMessage)
    Constructs an AssertionError with its detail message derived from the specified `boolean`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
    Parameters:
      `detailMessage` - value to be used in constructing detail message

  - ### AssertionError

    public AssertionError(char detailMessage)
    Constructs an AssertionError with its detail message derived from the specified `char`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
    Parameters:
      `detailMessage` - value to be used in constructing detail message

  - ### AssertionError

    public AssertionError(int detailMessage)
    Constructs an AssertionError with its detail message derived from the specified `int`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
    Parameters:
      `detailMessage` - value to be used in constructing detail message

  - ### AssertionError

    public AssertionError(long detailMessage)
    Constructs an AssertionError with its detail message derived from the specified `long`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
    Parameters:
      `detailMessage` - value to be used in constructing detail message

  - ### AssertionError

    public AssertionError(float detailMessage)
    Constructs an AssertionError with its detail message derived from the specified `float`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
    Parameters:
      `detailMessage` - value to be used in constructing detail message

  - ### AssertionError

    public AssertionError(double detailMessage)
    Constructs an AssertionError with its detail message derived from the specified `double`, which is converted to a string as defined in section 5.1.11 of The Java Language Specification.
    Parameters:
      `detailMessage` - value to be used in constructing detail message

  - ### AssertionError

    public AssertionError(String message, Throwable cause)
    Constructs a new `AssertionError` with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this error's detail message.

    Parameters:
      `message` - the detail message, may be `null`
      `cause` - the cause, may be `null`
    Since:
      1.7